Loading...
Searching...
No Matches
Opm::SingleAquiferFlux Struct Reference

## Public Member Functions

| SingleAquiferFlux (const DeckRecord &record)
| SingleAquiferFlux (int id)
| SingleAquiferFlux (int id, double flux, double sal, bool active_, double temp, double pres)
bool | operator== (const SingleAquiferFlux &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static SingleAquiferFlux | serializationTestObject ()

## Public Attributes

int | id {0}
double | flux {0.}
double | salt_concentration {0.}
bool | active {false}
std::optional< double > | temperature
std::optional< double > | datum_pressure

The documentation for this struct was generated from the following files:

- opm/input/eclipse/EclipseState/Aquifer/AquiferFlux.hpp
- opm/input/eclipse/EclipseState/Aquifer/AquiferFlux.cpp